POST Search Promotion Campaign Assignments
POST /sites/{site_id}/promotion_campaign_assignment_search
Operation ID: Search Promotion Campaign Assignments. Tags: sites. Security: oauth2_application.
Searches for promotion campaign assignments.
The PromotionCampaignAssignment Search document contains a search object that allows filtering on various attributes.
The query attribute specifies a complex query that can be used to narrow down the search. Attributes are grouped into different buckets. These are the list of searchable attributes with their corresponding buckets:
Main:
-
rank - Integer
-
start_date - Date
-
end_date - Date
Campaign:
-
campaign_id - String
Promotion:
-
promotion_id - String
-
description - String
-
enabled - Boolean
Special handling:
-
coupon_id - String
Only fields in the same bucket can be joined using a disjunction (OR). For instance, when joining campaign_id and rank above, only a conjunction is allowed (AND), whereas promotion_id and description can be joined to each other using an OR because they are in the same bucket. Special handling fields must always use conjunctions. If the field is used in a disjunction (OR) that violates this rule, an exception will be thrown.
Expands that can be applied for the search request
-
promotion
-
campaign
Note that only searchable attributes (excluding the ones marked with above with an asterisk) can be used in sorting.
Parameters
site_id(path, string, required) The site context.
Minimum length: 1.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- default
Media type:
application/json, text/xml. Schema:promotion_campaign_assignment_search_result.